Bug 474866 - mock [NEEDINFO]
mock
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 12:09 EST by John Anderson
Modified: 2013-01-09 23:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:10:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkeating: needinfo? (john.e.anderson)


Attachments (Terms of Use)
stacktrace (1.62 KB, text/plain)
2008-12-05 12:09 EST, John Anderson
no flags Details

  None (edit)
Description John Anderson 2008-12-05 12:09:03 EST
Created attachment 325882 [details]
stacktrace

Description of problem:


Version-Release number of selected component (if applicable): mock-0.9.13-1.fc10.noarch


How reproducible: always


Steps to Reproduce:
1. mock somepackage.srpm -r epel-5-anyarch
  
Actual results:

Stacktrace

Expected results:

A built package

Additional info:

It looks like it might be an RPM version issue. Stacktrace attached.
Comment 1 Clark Williams 2009-02-05 18:38:20 EST
It does look like an RPM database issue. You were running this on a F10 system?
Comment 2 John Anderson 2009-02-05 20:00:04 EST
Correct, the issue appeared immediately after I upgraded to F10
Comment 3 John Anderson 2009-02-05 20:01:37 EST
And mock for EPEL did work as expected on F9 on the system.

Also, I have the same issue on all three of my Fedora systems, one was a clean install.
Comment 4 Jesse Keating 2009-02-05 20:10:02 EST
Could it be you had a cached buildroot from before the upgrade?  rpm changed in F10 so that could explain it.
Comment 5 Clark Williams 2009-07-01 14:38:55 EDT
Is this still an issue?
Comment 6 Bug Zapper 2009-11-18 05:21:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:10:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.